Last Comment Bug 626362 - Firefox kills java applets (VM) which load to long
: Firefox kills java applets (VM) which load to long
Status: RESOLVED INCOMPLETE
:
Product: Plugins Graveyard
Classification: Graveyard
Component: Java (Oracle) (show other bugs)
: unspecified
: x86 Windows XP
: -- critical
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
: 650491 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-17 02:40 PST by Jaroslaw
Modified: 2016-04-28 09:08 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
real applet (104.49 KB, application/octet-stream)
2011-10-23 05:29 PDT, Ilya Basin
no flags Details

Description Jaroslaw 2011-01-17 02:40:09 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; pl; rv:1.9.2.13) Gecko/20101122 Firefox/3.6.13 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; pl; rv:1.9.2.13) Gecko/20101122 Firefox/3.6.13 (.NET CLR 3.5.30729)

Since java 1.6.0_21 firefox kills applets which load to long. I tested it in Firefox (doesn't work) and IE,Opera,Chrome(works) and its only ff problem. In 1.6.0_20 or less all is working.
My about:config options in all ff are:
dom.ipc.plugins.enabled;false
dom.ipc.plugins.enabled.npctrl.dll;false
dom.ipc.plugins.enabled.npqtplugin.dll;false
dom.ipc.plugins.enabled.npswf32.dll;false
dom.ipc.plugins.enabled.nptest.dll;false
dom.ipc.plugins.java.enabled;true
dom.ipc.plugins.timeoutSecs;-1

Reproducible: Always

Steps to Reproduce:
1. create simple java applet and embade it in html site
2. applet should have init method which load more than 15 sec (put infinite loop for example)
3. load applet and after 15 seconds whole vm is killed
Actual Results:  
Vm and applet is killed

Expected Results:  
Applet should be loading 

I don't get any crash report or any logs. Java console closes after error and no logs are in files (there are logs till console is killed but no errors).
Comment 1 JEK 2011-03-18 07:58:24 PDT
I also see this.

I notice that if I reopen said applet multiple times, it eventually works.

The theory is that each time more of the download gets done until it takes under the kill threshold.

I also agree with the critical priority.
Comment 2 Jaroslaw 2011-03-25 05:02:47 PDT
Similar problem persists in Firefox 4 although reproducibility of it is very difficult. In our application we use jboss server which sends client jars (packed with pack200) to browser when applet is loaded. To long loading time kills vm after all jars are loaded. The problem is that this error is different than in ff 3. In previous version we could reproduce this bug by setting breakpoints or adding wait function on our forward servlet but in ff 4 it won't do a thing. We also could reproduce this bug by adding wait function in applet init method (it killed vm in firefox 3) but in ff4 it works as it should. Maybe the problem is in pack200 or other java mechanism
Comment 3 Ilya Basin 2011-04-16 06:42:24 PDT
*** Bug 650491 has been marked as a duplicate of this bug. ***
Comment 4 Tim (fmdeveloper) 2011-06-25 22:13:42 PDT
Reporter -> Are you still experiencing this issue with the latest version of Firefox 5? Does the issue occur with the latest nightly? http://nightly.mozilla.org/
Comment 5 JEK 2011-06-26 17:09:29 PDT
I am experiencing it with the current release version 5.0.  Haven't tried nightly.
Comment 6 Tim (fmdeveloper) 2011-06-26 17:15:33 PDT
So the applet is killed at 15 seconds?

Does the issue occur if you go to about:config and set all dom.ipc.plugins.enabled.* preferences to false and restart the browser. This will prevent the "plugin-container" process from running and all plugins will run within the Firefox browser process
Comment 7 Jaroslaw 2011-06-26 23:01:04 PDT
(In reply to comment #6)
> So the applet is killed at 15 seconds?
> 
> Does the issue occur if you go to about:config and set all
> dom.ipc.plugins.enabled.* preferences to false and restart the browser. This
> will prevent the "plugin-container" process from running and all plugins
> will run within the Firefox browser process

I downloaded nightly build and set to false:
dom.ipc.plugins.enabled.*
dom.ipc.plugins.enabled
dom.ipc.plugins.enabled.npjp2.dll
dom.ipc.plugins.java.enabled

I also set to -1:
dom.ipc.plugins.processLaunchTimeoutSecs
dom.ipc.plugins.timeoutSecs

I used newest java (1.6.0_26-b03) but nothing of this helped and our applet is killed in most of the times. 

> So the applet is killed at 15 seconds?
I cant say it is strictly 15 seconds. It looks like this: we run our applet and in system tray java console icon appears. It prints logs and when applet is loaded or almost loaded java console just disappear (vm is killed) and we have to reload our applet. I tried loading our app few times and sometimes it loads and sometimes it won't.  The strange thing is that sometimes it takes around 27 seconds and it loads and sometimes after 20 seconds java is killed and we need to try again. Till java 1.6.0_20 we didn't have such problems.
Comment 8 Tim (fmdeveloper) 2011-06-26 23:10:45 PDT
You mention that a Java update caused the issue - if you revert to java 1.6.0.19 the issue doesn't occur? 

Does the applet successfully load in other browsers with the current java 6 Update 26?

Can you provide a public URL or reduced test case the exhibits this issue?

Going to move to the Plugin section for now.
Comment 9 Jaroslaw 2011-06-26 23:59:00 PDT
For more info about my testing results with other java try going to this link:
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7012740 (oracle bug id:7012740)
In this bug I wrote my test results with firefox 3. Till firefox 4 you could test this issue by using test applet (with i applied in bug description) but now its impossible and we only see it in our application. 

> Can you provide a public URL or reduced test case the exhibits this issue?
Our application is closed for public users but I try talking with my superior about providing some access for others. What about you JEK ? Can you provide app on which you were testing this issue you were talking about in comment 5?
Comment 10 David Simons 2011-07-22 14:05:56 PDT
I have the same problem, like Jaroslaw. Are there already any solutions?
Comment 11 Ilya Basin 2011-10-23 05:29:51 PDT
Created attachment 568945 [details]
real applet

Here's a test. This applet was being killed in the past.
However, I don't have this problem on ff 7.0.1 and jre 6u27
Comment 12 Jaroslaw 2011-10-24 00:12:08 PDT
(In reply to Ilya Basin from comment #11)
> Created attachment 568945 [details]
> real applet
> 
> Here's a test. This applet was being killed in the past.
> However, I don't have this problem on ff 7.0.1 and jre 6u27

It seems that our application is working too. I tried making some tests and I couldn't reproduce this bug with new java (6u29). After downgrading it to 6u26 the applet was killed 2-3 times in I don't know maybe 10 tries. I tested it on ff 5,6 and 7 and it looks like it doesn't matter which you use as long as you use new java.
Comment 13 Benjamin Smedberg [:bsmedberg] 2016-04-26 10:33:00 PDT
Closing old bugs in the Plugins component. We aren't going to track issues in 3rd-party plugins in the Mozilla bug tracker. In addition, support for NPAPI plugins will be removed at the end of this year; for more details see the post at https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/

If there is a serious bug in Firefox, it needs to be filed in the "Core" product, "Plug-Ins" component.

Note You need to log in before you can comment on or make changes to this bug.